package org.telosys.tools.generator;

public class GeneratorUtil {

	//-------------------------------------------------------------
    /**
     * Return a string composed of iSize blanks
     * @param iSize
     * @return the blanks string
     */
	public static String blanks(int iSize)
    {
        String sTrailingBlanks = "";
        if (iSize > 0) // if needs trailing blanks
        {
            StringBuffer sb = new StringBuffer();
            for ( int i = 0 ; i < iSize ; i++ )
            {
                sb.append(' ');
            }
            sTrailingBlanks = sb.toString();
        }
        return sTrailingBlanks;
    }
    
	/**
	 * Return a directory path with the given directory + the given 
	 * @param sDestDir file system directory ( ie "/tmp/src" )
	 * @param sPackage package name ( ie "org.demo.vo.bean" )
	 * @return full path of the class file ( ie "/tmp/src/org/demo/vo/bean" )
	 */
	public static String packageToDirectory(String sDestDir, String sPackage) 
	{
		// --- Replace . by / in the path
		String sPackageDir = sPackage.replace('.', '/');
		if ( sDestDir.endsWith("/") || sDestDir.endsWith("\\") )
		{
			return sDestDir + sPackageDir;
		}
		else
		{
			return sDestDir + "/" + sPackageDir;
		}
	}
	
}
