package org.telosys.tools.generator.config;

import org.telosys.tools.commons.Variable;
import org.telosys.tools.generator.context.ProjectConfiguration;

/**
 * @author laguerin
 *
 */
public interface IGeneratorConfig {

	public String getVOPackage() ;
	
	public String getVOListPackage() ;

	public String getXmlMapperPackage() ;

	public String getDaoPackage() ;

	public String getScreenDataPackage() ;

	public String getScreenManagerPackage() ;

	public String getScreenProceduresPackage() ;

	public String getScreenTriggersPackage() ;
	
    /**
     * Returns the full path directory where the project is located
     * @return
     */
    public String getProjectLocation();

	/**
	 * Returns the full path where the generator's templates are located
	 * @return
	 */
	public String getTemplatesFolderFullPath();
	
	/**
	 * Returns the specific variables to be put in the context
	 * @return
	 */
	public Variable[] getProjectVariables();
	
	/**
	 * Returns the project configuration to be set in the generator's context 
	 * @return
	 */
	public ProjectConfiguration getProjectConfiguration() ;
}
