package org.telosys.tools.generator.context;

import org.telosys.tools.commons.Variable;


/**
 * The current project configuration parameters ( folders, packages, ... )
 *  
 * @author Laurent GUERIN
 *
 */
public class ProjectConfiguration
{
	private final static Variable[] VOID_VARIABLES = new Variable[0];
	
	private String srcFolder ;
	private String webFolder ;
	
	private String packageForBean ;
	private String packageForBeanList ;
	private String packageForBeanDAO ;
	private String packageForBeanConverter ;

	private String packageForScreenData ;
	private String packageForScreenManager ;
	private String packageForScreenProcedures ;
	private String packageForScreenTriggers ;

	private Variable[] projectVariables ;
	
    //---------------------------------------------------------------------------

	public ProjectConfiguration(String srcFolder, String webFolder, 
			String packageForBean, String packageForBeanList, 
			String packageForBeanDAO, String packageForBeanConverter, 
			String packageForScreenData, String packageForScreenManager, 
			String packageForScreenProcedures, String packageForScreenTriggers,
			Variable[] projectVariables ) 
	{
		super();
		this.srcFolder = srcFolder;
		this.webFolder = webFolder;
		
		this.packageForBean = packageForBean;
		this.packageForBeanList = packageForBeanList;
		this.packageForBeanDAO = packageForBeanDAO;
		this.packageForBeanConverter = packageForBeanConverter;
		
		this.packageForScreenData = packageForScreenData;
		this.packageForScreenManager = packageForScreenManager;
		this.packageForScreenProcedures = packageForScreenProcedures;
		this.packageForScreenTriggers = packageForScreenTriggers;
		
		this.projectVariables = projectVariables;
	}

	//---------------------------------------------------------------------------

	public String getSrcFolder()
    {
        return srcFolder ;
    }

    public String getWebFolder()
    {
        return webFolder ;
    }

    //---------------------------------------------------------------------------
    
    public String getPackageForBean()
    {
        return packageForBean ;
    }
    public String getPackageForBeanList()
    {
        return packageForBeanList ;
    }
    public String getPackageForBeanDAO()
    {
        return packageForBeanDAO ;
    }
    public String getPackageForBeanConverter()
    {
        return packageForBeanConverter ;
    }

    //---------------------------------------------------------------------------
    
    public String getPackageForScreenData()
    {
        return packageForScreenData ;
    }
    public String getPackageForScreenManager()
    {
        return packageForScreenManager ;
    }
    public String getPackageForScreenProcedures()
    {
        return packageForScreenProcedures ;
    }
    public String getPackageForScreenTriggers()
    {
        return packageForScreenTriggers ;
    }

    //---------------------------------------------------------------------------
    public Variable[] getVariables()
    {
    	if ( projectVariables != null ) {
            return projectVariables ;
    	}
    	else {
    		return VOID_VARIABLES ;
    	}
    }
}