package org.telosys.tools.generator.context ;

import java.util.Iterator;
import java.util.LinkedList;

import org.telosys.tools.commons.JavaClassUtil;

public class Util {
	
    public static String buildGetter(String attName, String sLongType) {
		String s = attName.substring(0, 1).toUpperCase()+attName.substring(1, attName.length());
		if ( "boolean".equals(sLongType) )
		{
			return "is"+s;
		}
		else
		{
			return "get"+s;
		}
	}

    public static String buildSetter(String attName) {
		return "set"+attName.substring(0, 1).toUpperCase()+attName.substring(1, attName.length());
	}

    private static boolean inList (String sLongType, LinkedList fullNames) 
    {
    	Iterator iter = fullNames.iterator() ;
    	while ( iter.hasNext() )
    	{
    		String s = (String) iter.next();
    		if ( s != null )
    		{
    			if ( s.equals(sLongType) )
    			{
    				return true ; // Found 
    			}
    		}
    	}
    	return false ; // Not found
    }
    
    /**
     * Determines the shortest type to use according with the given "not imported types" list
     * @param sLongType
     * @param notImportedTypes
     * @return
     */
    public static String shortestType(String sLongType, LinkedList notImportedTypes) 
    {
    	if ( notImportedTypes != null )
    	{
    		if ( inList(sLongType, notImportedTypes) )
    		{
    			return sLongType ; // Keep the "long type" because not imported
    		}    		
    	}
		// No full names to keep => reduce it to short name
		return JavaClassUtil.shortName(sLongType);
	}

    public static String buildFilePath(String dir, String file) {
    	String s1 = dir ;
    	if ( dir.endsWith("/") || dir.endsWith("\\") )
    	{
    		s1 = dir.substring(0, dir.length() - 1 );
    	}
    	
    	String s2 = file ;
    	if ( file.startsWith("/") || file.startsWith("\\") )
    	{
    		s1 = file.substring(1);
    	}
    	
		return s1 + "/" + s2 ;
	}

}
