package org.telosys.tools.generator.context.tools;

import org.telosys.tools.generator.GeneratorUtil;

public class AnnotationsBuilder {

	private StringBuffer _sbAnnotationsBuffer = null;

	private String       _sLeftMargin = "" ;
	
	private int          _iAnnotationsCount = 0 ;
	
	
	public AnnotationsBuilder(int iLeftMargin) {
		super();
		_sbAnnotationsBuffer = new StringBuffer();
		_iAnnotationsCount = 0 ;
		_sLeftMargin = GeneratorUtil.blanks(iLeftMargin);		
	}

//	public void resetAnnotations(int iLeftMargin)
//	{
//		_sbAnnotationsBuffer = new StringBuffer();
//		_iAnnotationsCount = 0 ;
//		_sLeftMargin = GeneratorUtil.blanks(iLeftMargin);		
//	}
	
	/**
	 * Add a new line of annotation  <br>
	 * Put the left margin before the given string and add a CR-LF at the end
	 * @param sAnnotation
	 */
	public void addLine(String sAnnotation)
	{
		if ( _iAnnotationsCount > 0 ) {
			_sbAnnotationsBuffer.append( "\n" );
		}
		_sbAnnotationsBuffer.append( _sLeftMargin );
		_sbAnnotationsBuffer.append( sAnnotation );
		_iAnnotationsCount++;
	}

	/**
	 * Returns a string containing all the annotations built ( one annotation per line )
	 * @return
	 */
	public String getAnnotations()
	{
		return _sbAnnotationsBuffer.toString() ;
	}

}
